Skip to content

Submit a one-time run

POST
/api/v1/jobs/runs/submit
curl --request POST \
--url https://example.com/api/v1/jobs/runs/submit \
--header 'Content-Type: application/json' \
--data '{ "notebook_task": {}, "spark_jar_task": {}, "python_wheel_task": {}, "spark_python_task": {}, "spark_submit_task": {}, "new_cluster": {}, "existing_cluster_id": "example", "libraries": [ {} ], "timeout_seconds": 1 }'
X-Environment-Id
Any of:
string
Media typeapplication/json
RunNowRequest

Request model for one-time job runs without creating a job.

object
notebook_task
Any of:
object
key
additional properties
any
spark_jar_task
Any of:
object
key
additional properties
any
python_wheel_task
Any of:
object
key
additional properties
any
spark_python_task
Any of:
object
key
additional properties
any
spark_submit_task
Any of:
object
key
additional properties
any
new_cluster
Any of:
object
key
additional properties
any
existing_cluster_id
Any of:
string
libraries
Any of:
Array<object>
object
key
additional properties
any
timeout_seconds
Any of:
integer
Examplegenerated
{
"notebook_task": {},
"spark_jar_task": {},
"python_wheel_task": {},
"spark_python_task": {},
"spark_submit_task": {},
"new_cluster": {},
"existing_cluster_id": "example",
"libraries": [
{}
],
"timeout_seconds": 1
}

Successful Response

Media typeapplication/json
JobRunResponse

Response model for complete job run information (with all task details).

object
run_name
Any of:
string
state
Any of:
string
result_state
Any of:
string
run_id
required
Run Id
integer
job_id
required
Job Id
integer
original_attempt_run_id
Any of:
integer
life_cycle_state
Any of:
string
start_time
Any of:
string format: date-time
end_time
Any of:
string format: date-time
execution_duration
Any of:
integer
setup_duration
Any of:
integer
cleanup_duration
Any of:
integer
trigger
Any of:
string
run_page_url
Any of:
string
error_message
Any of:
string
created_time
Any of:
string format: date-time
tasks
Any of:
Array<object>
TaskRunResult

Task execution result within a job run.

object
task_key
required
Task Key
string
task_run_id
Any of:
integer
task_type
Any of:
string
state
Any of:
string
error_message
Any of:
string
start_time
Any of:
string format: date-time
end_time
Any of:
string format: date-time
duration_ms
Any of:
integer
task_config
Any of:
object
key
additional properties
any
description
Any of:
string
environment_key
Any of:
string
Examplegenerated
{
"run_name": "example",
"state": "example",
"result_state": "example",
"run_id": 1,
"job_id": 1,
"original_attempt_run_id": 1,
"life_cycle_state": "example",
"start_time": "2026-04-15T12:00:00Z",
"end_time": "2026-04-15T12:00:00Z",
"execution_duration": 1,
"setup_duration": 1,
"cleanup_duration": 1,
"trigger": "example",
"run_page_url": "example",
"error_message": "example",
"created_time": "2026-04-15T12:00:00Z",
"tasks": [
{
"task_key": "example",
"task_run_id": 1,
"task_type": "example",
"state": "example",
"error_message": "example",
"start_time": "2026-04-15T12:00:00Z",
"end_time": "2026-04-15T12:00:00Z",
"duration_ms": 1,
"task_config": {},
"description": "example",
"environment_key": "example"
}
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}